Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Werte eines MPolygons als Textdatei auswerfen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Werte eines MPolygons als Textdatei auswerfen (344 mal gelesen)
Lukas-caFM
Mitglied
Technischer Zeichner

Sehen Sie sich das Profil von Lukas-caFM an!   Senden Sie eine Private Message an Lukas-caFM  Schreiben Sie einen Gästebucheintrag für Lukas-caFM

Beiträge: 4
Registriert: 14.05.2019

Autocad 2020

erstellt am: 13. Apr. 2021 15:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Mpolygon.PNG

 
Hallo Allerseits,

Ich suche aktuell nach einer Möglichkeit Attouts von Mpolygonen durchzuführen.

Ich würde also gerne wie dies bereits bei Attributen möglich ist, ein Attout machen und dies als Textdatei ausgeben und dann in Excel bearbeiten können.

Konkret geht es mir um die Werte unter der Eigenschaften Kategorie "Sonstige":
-Gesamtfläche
-Gesamtumfang


Vielleicht kennt jemand von euch ja eine Lösung.

Vielen Dank im Voraus!

LG. Lukas 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2369
Registriert: 02.05.2006

AutoCAD LandDesktop R2 bis 2004
Civil 3D 2005 - 2020
Bricscad V11-V19 pro
Plateia, Canalis
Visual Basic

erstellt am: 13. Apr. 2021 16:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Lukas-caFM 10 Unities + Antwort hilfreich

Hallo Lukas,

Könnte man mit einer VBA - Abfrage aus Excel machen
Zeichnung durchsuchen nach oEnt.ObjectName = "AcDbMPolygon"
und ausgeben von oEnt.Area (Fläche) und oEnt.Perimeter (Umfang)

So könnte das aussehen:

Code:

Sub MPoly_Werte()
    'Declaring the necessary variables.
    ' vorher über Extras - Verweise
    ' Verweis setzen auf Autocad 20xx Type Library
    Dim acadApp As AcadApplication
    Dim acadDoc As AcadDocument
    Dim Ent As AcadObject
   
    Dim AktRow As Long

    'Check if AutoCAD is open.
    On Error Resume Next
    Set acadApp = GetObject(, "AutoCAD.Application")
    On Error GoTo 0
    If acadApp Is Nothing Then
      ' Hinweis für den Benutzer Voraussetzungen fürs Programm schaffen
      MsgBox "Bitte zunächst Autocad mit Zeichnung öffnen", vbCritical, "Fehler Zugriff auf Autocad"
      ' und Programm beenden
      Exit Sub
    End If
    'Check if there is an active drawing.
    On Error Resume Next
    Set acadDoc = acadApp.ActiveDocument
    On Error GoTo 0
    If acadDoc Is Nothing Then
      ' Hinweis für den Benutzer Voraussetzungen fürs Programm schaffen
      MsgBox "Bitte zunächst Autocad mit Zeichnung öffnen", vbCritical, "Fehler Zugriff auf Zeichnung"
      ' und Programm beenden
      Exit Sub
    End If
   
   
    ' Überschrift schreiben
    AktRow = 1
    Cells(AktRow, 1) = "Layer"
    Cells(AktRow, 2) = "Fläche"
    Cells(AktRow, 3) = "Umfang"
   
  ' Durchsuchen der Zeichnung im Modell
  For Each Ent In acadDoc.ModelSpace
    If Ent.ObjectName = "AcDbMPolygon" Then
      AktRow = AktRow + 1
      Cells(AktRow, 1) = Ent.Layer
      Cells(AktRow, 2) = Ent.Area
      Cells(AktRow, 3) = Ent.Perimeter
    End If
  Next Ent
End Sub


Grüße
Klaus  

[Diese Nachricht wurde von KlaK am 13. Apr. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz